Skip to main content
`Ctrl`+`K`

# FNGetOptionsPrefix

Gets the prefix used for searching for all `FN` options in the database.

## Synopsis

    #include "slepcfn.h"
    PetscErrorCode FNGetOptionsPrefix(FN fn,const char *prefix[])

Not Collective

## Input Parameter

- fn - the math function context

## Output Parameter

- prefix - pointer to the prefix string used is returned

## See Also

FN: Mathematical Functions, `FNSetOptionsPrefix()`, `FNAppendOptionsPrefix()`

## Level

advanced

## Location

src/sys/classes/fn/interface/fnbasic.c

Index of all FN routines Table of Contents for all manual pages Index of all manual pages